package org.springframework.boot.loader.jar;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.security.CodeSigner;
import java.security.cert.Certificate;
import java.util.jar.JarEntry;

class JarEntryCertification {
  static final org.springframework.boot.loader.jar.JarEntryCertification NONE = new org.springframework.boot.loader.jar.JarEntryCertification(null, null);
  
  private final Certificate[] certificates;
  
  private final CodeSigner[] codeSigners;
  
  JarEntryCertification(Certificate[] certificates, CodeSigner[] codeSigners) {
    this.certificates = certificates;
    this.codeSigners = codeSigners;
  }
  
  Certificate[] getCertificates() {
    return (this.certificates != null) ? (Certificate[])this.certificates.clone() : null;
  }
  
  CodeSigner[] getCodeSigners() {
    return (this.codeSigners != null) ? (CodeSigner[])this.codeSigners.clone() : null;
  }
  
  static org.springframework.boot.loader.jar.JarEntryCertification from(JarEntry certifiedEntry) {
    Certificate[] certificates = (certifiedEntry != null) ? certifiedEntry.getCertificates() : null;
    CodeSigner[] codeSigners = (certifiedEntry != null) ? certifiedEntry.getCodeSigners() : null;
    if (certificates == null && codeSigners == null)
      return NONE; 
    return new org.springframework.boot.loader.jar.JarEntryCertification(certificates, codeSigners);
  }
}
